<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* applications-authorize-page.twig */
class __TwigTemplate_3f5957ec330e4b238f6279e7fd0bfdb483812dfe4990ef112a1d73a6b5a87a75 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'pageContent' => [$this, 'block_pageContent'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "authed.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["inline"] = $this->loadTemplate("inline.twig", "applications-authorize-page.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("authed.twig", "applications-authorize-page.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_pageContent($context, array $blocks = [])
    {
        // line 13
        echo "    <div class=\"widget\">
        <div class=\"widget-title\">";
        // line 14
        echo __("Authorize Request");
        echo "</div>
        <div class=\"widget-body\">
            <h1>";
        // line 16
        echo twig_escape_filter($this->env, $this->getAttribute($this->getAttribute(($context["authParams"] ?? null), "client", []), "getName", [], "method"), "html", null, true);
        echo " would like access</h1>

            <ul>
                ";
        // line 19
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable($this->getAttribute(($context["authParams"] ?? null), "scopes", []));
        foreach ($context['_seq'] as $context["_key"] => $context["scope"]) {
            // line 20
            echo "                <li>
                    ";
            // line 21
            echo twig_escape_filter($this->env, $this->getAttribute($context["scope"], "getName", [], "method"), "html", null, true);
            echo ": ";
            echo twig_escape_filter($this->env, $this->getAttribute($context["scope"], "getDescription", [], "method"), "html", null, true);
            echo "
                </li>
                ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['scope'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 24
        echo "            </ul>

            <form method=\"post\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("application.authorize"), "html", null, true);
        echo "\">
                <input type=\"hidden\" name=\"";
        // line 27
        echo twig_escape_filter($this->env, ($context["csrfKey"] ?? null), "html", null, true);
        echo "\" value=\"";
        echo twig_escape_filter($this->env, ($context["csrfToken"] ?? null), "html", null, true);
        echo "\" />
                <input type=\"submit\" value=\"Approve\" name=\"authorization\">
                <input type=\"submit\" value=\"Deny\" name=\"authorization\">
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "applications-authorize-page.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  85 => 27,  81 => 26,  77 => 24,  66 => 21,  63 => 20,  59 => 19,  53 => 16,  48 => 14,  45 => 13,  42 => 12,  37 => 9,  35 => 10,  29 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "applications-authorize-page.twig", "/home/mgatv524/public_html/edurocha/views/applications-authorize-page.twig");
    }
}
